OpenSlide debian package

Mathieu Malaterre mathieu.malaterre at
Sat Sep 3 18:45:30 EDT 2011

On Sun, Sep 4, 2011 at 12:27 AM, Benjamin Gilbert <bgilbert at> wrote:
> On 09/03/2011 01:06 PM, Mathieu Malaterre wrote:
>> On Fri, Sep 2, 2011 at 11:03 PM, Benjamin Gilbert<bgilbert at>
>>  wrote:
>>> Also, I think your openslide_soname.patch is now redundant?
>> If this has been applied upstream, yes. Is this the case ?
> It's adding an incorrect soversion to a build system you're not going to
> use, so you probably don't need it in your package.  :-)

My mistake. I was very surprised a package with version 3.2.4 was
still respecting it's very first ABI version, very impressive.

Anyway my point is that any other SOVERSION mechanim in cmake would be
ok with me. My feeling is that maintaining two build systems is very
difficult, and error prone (and duplicates work), so again my feeling
is that there is a high chance the autotools may disappear at some
point. But again this is just a feeling and the reason why I would
like to keep the cmake build system around (not to mention having
cmake greatly ease my work).


More information about the openslide-users mailing list